Tool: list_services
List Cloud Run services in a given Google Cloud project and region.
The following sample demonstrate how to use curl to invoke the list_services MCP tool.
| Curl Request |
|---|
curl --location 'https://run.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_services", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for retrieving a list of Services.
ListServicesRequest
| JSON representation |
|---|
{ "project": string, "region": string } |
| Fields | |
|---|---|
project |
Required. The project ID or project number to list the Services from. |
region |
Required. The region to list the Services from. |
Output Schema
Response message containing a list of Services.
ListServicesResponse
| JSON representation |
|---|
{
"project": string,
"services": [
{
object ( |
| Fields | |
|---|---|
project |
The project where the Services are listed from. |
services[] |
The resulting list of Services. |
ServiceListOutput
| JSON representation |
|---|
{ "name": string, "createTime": string, "updateTime": string, "creator": string, "lastModifier": string, "uri": string } |
| Fields | |
|---|---|
name |
The fully qualified name of this Service. Format: projects/{project}/locations/{location}/services/{service_id} |
createTime |
The creation time. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
updateTime |
The last-modified time. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
creator |
Email address of the creator. |
lastModifier |
Email address of the last modifier. |
uri |
The main URI in which this Service is serving traffic. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ✅ | Open World Hint: ❌